Bug 510913 - Review Request: php-pecl-ncurses - Terminal screen handling and optimization package
Review Request: php-pecl-ncurses - Terminal screen handling and optimization ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 08:54 EDT by Remi Collet
Modified: 2010-05-18 14:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 17:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-07-12 08:54:07 EDT
Spec URL: http://remi.fedorapeople.org/php-pecl-ncurses.spec
SRPM URL: http://remi.fedorapeople.org/php-pecl-ncurses-1.0.0-1.fc8.src.rpm
Description: 
ncurses (new curses) is a free software emulation of curses in
System V Rel 4.0 (and above). It uses terminfo format, supports
pads, colors, multiple highlights, form characters and function
key mapping. Because of the interactive nature of this library,
it will be of little use for writing Web applications, but may
be useful when writing scripts meant using PHP from the command
line.

-- 
PHP 5.3.0 (will be available very soon in Rawhide) doesn't come with this extension which must be package from PECL.

This package will be, of course, pushed only to rawhide.
Comment 1 Jason Tibbitts 2009-07-12 15:28:11 EDT
Builds fine; rpmlint is silent.

I have to ask, though I seem to recall that php makes makes it difficult: is it possible to run the test in the "tests" directory?  I'm pretty sure it's not, so I don't think it's worth holding this package up waiting for an answer.

I note that your packaging template has changed a bit from the one currently in the guidelines.  For example, the php_zend_api conditional is missing.  I understand that for this package it's pointless because you know that PHP will be new enough, but perhaps it may be work revisiting that guideline page

* source files match upstream.  sha256sum:                     
   cf6fdff2f5d7c98f9093bcf1c159721aeff42e5a15607dcd24113a6af517b401
   ncurses-1.0a.0.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(php-pecl-ncurses) = 1.0.0-1.fc12
   ncurses.so()(64bit)
   php-ncurses = 5.3.0
   php-pecl(ncurses) = 1.0.0-1.fc12
   php-pecl-ncurses = 1.0.0-1.fc12
   php-pecl-ncurses(x86-64) = 1.0.0-1.fc12
  =
   /bin/sh
   /usr/bin/pecl
   config(php-pecl-ncurses) = 1.0.0-1.fc12
   libncurses.so.5()(64bit)
   libpanel.so.5()(64bit)
   php(api) = 20041225
   php(zend-abi) = 20060613

? %check is not present, but there seems to be a test suite present.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are OK (pecl module registration)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Remi Collet 2009-07-12 16:03:02 EDT
Thanks for the very quick review

> is it possible to run the test in the "tests" directory?
Generally no, but in this case it's possible (even if the single test provided is only a extension load test)

I will add

%check
cd %{pecl_name}-%{version}
TEST_PHP_EXECUTABLE=$(which php) php run-tests.php \
    -n -q -d extension_dir=modules \
    -d extension=%{pecl_name}.so \

> it may be work revisiting that guideline page
Yes, you're right.
Added to my TODO list.
Comment 3 Remi Collet 2009-07-12 16:04:45 EDT
New Package CVS Request
=======================
Package Name: php-pecl-ncurses
Short Description: Terminal screen handling and optimization package
Owners: remi
Branches: only devel
InitialCC:
Comment 4 Jason Tibbitts 2009-07-12 16:24:17 EDT
CVS done.
Comment 5 Jason Tibbitts 2009-11-05 17:45:55 EST
Any reason this ticket is still open?
Comment 6 Remi Collet 2009-11-05 17:52:41 EST
No, just an omission.
Really used to have review closed by bodhi ;)
Comment 7 Remi Collet 2010-05-15 02:11:01 EDT
Package Change Request
======================
Package Name: php-pecl-ncurses	
New Branches: EL-6
Owners: remi
Comment 8 Dennis Gilmore 2010-05-18 14:44:29 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.